Get V2 vault caps history
Historical allocation and cap state of a Morpho Vault V2 grouped by cap.
Vault selector example: 1:0x23f5E9c35820f4baB695Ac1F19c203cC3f8e1e11 (format: <chain_id>:<vault_address>; replace with the target vault).
Path Parameters
Selector formatted as <chain_id>:<vault_address>. Example: 1:0x23f5E9c35820f4baB695Ac1F19c203cC3f8e1e11.
<chain_id>:<vault_address>Query Parameters
Lookback period. Defaults to thirty_days. Historical sampling is selected automatically.
Value in
- "one_day"
- "seven_days"
- "thirty_days"
- "ninety_days"
- "one_year"
- "inception"
Optional Vault V2 cap id filter.
^0x[a-fA-F0-9]{64}$Optional Vault V2 cap type filter.
Value in
- "adapter"
- "collateral"
- "marketV1"
- "unknown"
Response Body
application/json
curl -X GET "https://example.com/v0/vaults-v2/1:0x23f5E9c35820f4baB695Ac1F19c203cC3f8e1e11/caps/history"{ "data": [ { "adapter_address": "0xFc98D101F6E2F7C27DB2bAEf7D803298F0e0043C", "cap_id": "0x5c1f2a8a1c9b2f6a4c4b0e4e6f0a7a3d2c1b0a9f8e7d6c5b4a3f2e1d0c9b8a7f", "cap_type": "adapter", "history": [ { "absolute_cap": "50000000000000", "allocation": "12000000000000", "relative_allocation": 0.12, "relative_cap_wad": "300000000000000000", "timestamp": 1729900800 } ], "target": { "type": "vault_v1", "vault_address": "0xBEEF01735c132Ada46AA9aA4c54623cAA92A64CB" } }, { "adapter_address": "0x6C5D5D47A39FE9f8CA14731a9A42bD31d64fb40D", "cap_id": "0x0a14a2d85b0d8b52f0991fdc2d47e9c469a70735c084f99f74d0113dd4b61899", "cap_type": "marketV1", "collateral_address": "0x7f39C581F595B53c5cb19bD0b3f8dA6c935E2Ca0", "history": [ { "absolute_cap": "100000000000000", "allocation": "46000000000000", "relative_allocation": 0.46, "relative_cap_wad": "600000000000000000", "timestamp": 1729900800 }, { "absolute_cap": "100000000000000", "allocation": "47500000000000", "relative_allocation": 0.475, "relative_cap_wad": "600000000000000000", "timestamp": 1729987200 } ], "market_id": "0xa5c50bd6e28de8b098defa897f677798f3f256959c2d47dabe8c5994ff53d8fd" } ], "last_indexed_block": "25475349", "params": { "chain_id": "1", "vault_address": "0x23f5E9c35820f4baB695Ac1F19c203cC3f8e1e11" }}GETGet V2 vault APY history
Historical APY for a Morpho Vault V2. Reference for GET /v0/vaults-v2/{vault-selector}/apy/history in the Morpho Core API.
GETGet V2 vault pending governance actions
Pending governance actions for a Morpho Vault V2, decoded from the on-chain timelock submit calldata. Unknown selectors are returned with null parameters.